%define upstream_name    Archive-Tar-Wrapper
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    API wrapper around the 'tar' utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Log::Log4perl)
BuildArch:  noarch

%description
Archive::Tar::Wrapper is an API wrapper around the 'tar' command line
utility. It never stores anything in memory, but works on temporary
directory structures on disk instead. It provides a mapping between the
logical paths in the tarball and the 'real' files in the temporary
directory on disk.

It differs from Archive::Tar in two ways:

* Archive::Tar::Wrapper doesn't hold anything in memory. Everything is
stored on disk.
* Archive::Tar::Wrapper is 100% compliant with the platform's tar
utility, because it uses it internally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.230.0-3.mga6
+ Revision: 1022566
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.230.0-2.mga6
+ Revision: 967958
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.230.0-1.mga6
+ Revision: 850922
- update to 0.23

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 745313
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 683539
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 596231
- update to 0.19

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 530138
- Mageia 4 Mass Rebuild

  + sander85 <sander85>
    - Fix description

* Fri Jul 19 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 456268
- update to 0.18

* Tue Jul 09 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 451933
- update to 0.17

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 363116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.160.0-1.mga3
+ Revision: 254540
- update to 0.16

* Wed Feb 22 2012 kharec <kharec> 0.150.0-1.mga2
+ Revision: 211909
- update to 0.15

* Wed Oct 12 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 154080
- imported package perl-Archive-Tar-Wrapper


* Wed Oct 12 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
